From: Sven Eckelmann <sven@narfation.org>
Date: Sun, 29 Sep 2013 09:20:18 +0200
Subject: Disable the SDL2 detection hack

The version of mupen64plus-core in Debian is compiled against SDL2
it is unnecessary to use this binutils hack to guess the SDL version.

Forwarded: not-needed
---
 src/m64py/core/core.py | 8 +-------
 src/m64py/opts.py      | 4 ++--
 2 files changed, 3 insertions(+), 9 deletions(-)

diff --git a/src/m64py/core/core.py b/src/m64py/core/core.py
index b5207eb..8039e7a 100644
--- a/src/m64py/core/core.py
+++ b/src/m64py/core/core.py
@@ -133,13 +133,7 @@ class Core:
                 self.core_name = plugin_name
                 self.core_version = plugin_version
 
-                if LDD_CMD:
-                    proc = subprocess.Popen(
-                        LDD_CMD % self.core_path, shell=True,
-                        preexec_fn=lambda: signal.signal(signal.SIGPIPE, signal.SIG_DFL))
-                    proc.communicate()
-                    if proc.returncode == 0:
-                        self.core_sdl2 = True
+                self.core_sdl2 = True
 
                 log.info("attached to library '%s' version %s" %
                         (self.core_name, version_split(self.core_version)))
diff --git a/src/m64py/opts.py b/src/m64py/opts.py
index 612c4d1..72e37f2 100644
--- a/src/m64py/opts.py
+++ b/src/m64py/opts.py
@@ -21,8 +21,8 @@ from m64py.core.defs import FRONTEND_VERSION
 usage = 'usage: %prog <romfile>'
 parser = OptionParser(usage=usage, version="M64Py Version %s" % FRONTEND_VERSION)
 parser.add_option("-v", "--verbose", action="store_true", dest="verbose", help="show verbose output")
-parser.add_option("--sdl2", action="store_true", dest="sdl2", help="use libSDL2 library", default=False)
+parser.add_option("--sdl2", action="store_true", dest="sdl2", help="use libSDL2 library (always enabled)", default=True)
 opts, args = parser.parse_args()
 
-SDL2 = opts.sdl2
+SDL2 = True
 VERBOSE = opts.verbose
